package com.shinsoft.sto.service.main;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shinsoft.sto.model.main.Customer;
import com.shinsoft.tools.model.common.ResultJSON;

import java.util.Map;

/**
 * <p>
 * 仓库客户 服务类
 * </p>
 *
 * @author system
 * @since 2024-10-15
 */
public interface CustomerService extends IService<Customer> {

    ResultJSON query(int page, int rows, String params, Map<String, Object> map);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);
}
